x = -3:3; 
y = [-1 -1 -1 0 1 1 1]; 
t = -3:.01:3;
p = pchip(x,y,t);
s = spline(x,y,t);
m = makima(x,y,t);
figure(11), 
plot(x,y,'o',t,p,'-',t,s,'-.',t,m,'--')
legend('data','pchip','spline','makima',4)

x = 0:0.1:1;
y = [3, 3, 2.9, 2.5, 1.05, 0.95, 0.80, 0.5, 0.2, 0.1, 0.1];
t = 0:.001:1;
p = pchip(x,y,t);
s = spline(x,y,t);
m = makima(x,y,t);
figure(12),
plot(x,y,'o',t,s,'-b'); axis([0,1,0,3.3]); title('Qubic spline interpolation'),
figure(13),
plot(x,y,'o',t,p,'-r'); axis([0,1,0,3.3]); title('PCHIP - Monotone cubic Hermite interpolation'),
figure(14),
plot(x,y,'o',t,p,'-k'); axis([0,1,0,3.3]); title('Modified Akima cubic Hermite interpolation'),
